Chuyển đến nội dung
Diễn đàn CADViet

troggarf

Thành viên
  • Số lượng nội dung

    1
  • Đã tham gia

  • Lần ghé thăm cuối

Bài đăng được đăng bởi troggarf


  1. ;;; Find Dimension Overrides
    ;;; Lucas3
    ;;; http://www.cadtutor.net/forum/showthread.php?83532-How-to-filter-Edited-Dimensions
    ;;; Will turn dim overrides Red. If there are no overrides, an alert box will display saying that no overrides were found.
    ;;; I edited the alert text for grammar
    (defun C:FakeDims(/ i ss)
      (vl-load-com)
      (setvar "cmdecho" 0)
      (if (setq ss (ssget "X" '((0 . "DIMENSION") (-3 ("ACAD")))))
        (repeat (setq i (sslength ss))
          (entmod (list (cons -1 (ssname ss (setq i (1- i)))) (list -3 (list "ACAD"))))
        )
        (if (setq ss (ssget "X" '((0 . "DIMENSION") (-4 . "<AND")(-4 . "<NOT")(1 . "")(-4 . "NOT>")(-4 . "<NOT")(1 . "*<>*")(-4 . "NOT>")(-4 . "AND>"))))
          (repeat (setq i (sslength ss))
              (vlax-put-property (vlax-ename->vla-object (ssname ss (setq i (1- i)))) "textcolor" 1) 
          )
          (alert "No Edited Dimensions Found!")
        )
      )
      (princ)
    )

     

×